<!DOCTYPE html>
<html>
<head xmlns:th="http://www.thymeleaf.org">
<meta charset="ISO-8859-1">
<title>Terminal First Add Window</title>

<!-- CSS LIBRARY -->
<link rel="stylesheet" type="text/css" href="../../Content/jquery-ui.min.css">
<link rel="stylesheet" type="text/css" href="../../Content/bootstrap/bootstrap.min.css">

<!-- JAVASCRIPT LIBRARY -->
<script type="text/javascript" src="../../Scripts/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../Scripts/jquery-ui.js"></script>

</head>
<!-- <body style="background-image: url('../../Images/img/desk-1081708_1920.jpg');">
 -->
 
 <style>
 	td {
		padding-bottom: 3px;
		padding-left: 15px;
	}
</style>
 
 <body style="background-color: #EFEFEF; " >
 
<th:block th:include="_navbar"></th:block>

	<div class="container">
		
		<!-- ---------------------------------- -->
		<!-- 			MAIN WINDOW  		    -->
		<!-- ---------------------------------- -->
		<div class="container-add">
			<form style="width: 1100px; margin: 0 auto; ">
				<table style="width: 100%; margin-top: 20px; ">
					<tr>
						<td><label for="clientCode" > 企業コード </label></td>
						<td><input type="text" id="clientCode" class="input-text form-control" /></td>
						<td><label for="shopId" > 店舗ID </label></td>
						<td><input type="text" id="shopId" class="input-text form-control" /></td>
					</tr>
					<tr>
						<td></td>
						<td id="clientCode-er" style="color: red; "></td>
						<td></td>
						<td id="shopId-er" style="color: red; "></td>
					</tr>
					<tr>
						<td><label for="sId" > 店舗コード  </label></td>
						<td><input type="text" id="sId" class="input-text form-control" /></td>
						<td><label for="mtid" > MTID </label></td>
						<td><input type="text" id="mtid" class="input-text form-control" /></td>
					</tr>
					<tr>
						<td></td>
						<td id="sId-er" style="color: red; "></td>
						<td></td>
						<td id="mtid-er" style="color: red; "></td>
					</tr>
					<tr>
						<td><label for="creditTid" >  クレジットTID </label></td>
						<td><input type="text" id="creditTid" class="input-text form-control" /></td>
						<td><label for="terminalModel" > 機種名 </label></td>
						<td>
							<select id="terminalModel" class="form-control" style="width: 100px; ">
								<option value="P400">P400</option>
								<option value="V200c">V200c</option>
								<option value="V400m">V400m</option>
							</select>
						</td>
					</tr>
					<tr>
						<td></td>
						<td id="creditTid-er" style="color: red; "></td>
						<td></td>
						<td id="terminalModel-er" style="color: red; "></td>
					</tr>
					<tr>
						<td><label for="posModel" > 接続POS </label></td>
						<td><input type="text" id="posModel" class="input-text form-control" /></td>
						<td><label for="posConnType" > POS接続方式 </label></td>
						<td>
							<select id="posConnType" class="form-control" style="width: 200px; ">
								<option></option>
								<option value="0"> スタンダード、</option>
								<option value="2">  シンプル、</option>
								<option value="99"> スタンドアローン </option>
							</select>
						</td>
					</tr>
					<tr>
						<td></td>
						<td id="posModel-er" style="color: red; "></td>
						<td></td>
						<td></td>
					</tr>
					<tr>
						<td><label for="msrSupport" > 磁気サポート </label></td>
						<td>
							<select id="msrSupport" class="form-control" style="width: 100px; ">
								<option></option>
								<option value="0">OFF</option>
								<option value="1">ON</option>
							</select>
						</td>
						<td><label for="confirmAmountFlag" > 金額確認 </label></td>
						<td>
							<select id="confirmAmountFlag" class="form-control" style="width: 100px; ">
								<option></option>
								<option value="0">OFF</option>
								<option value="1">ON</option>
							</select>
						</td>
					</tr>
					<tr>
						<td><label for="services" > 利用サービス </label></td>
						<td>
							<input type="checkbox" id="service_1" value="Credit" />Credit
						</td>
					</tr>
					<tr>
						<td></td>
						<td>
							<input type="checkbox" id="service_2" value="CUP" />CUP
						</td>
						<td>
							<input type="checkbox" id="service_3" value="Suica" />Suica
						</td>
						<td>
							<input type="checkbox" id="service_4" value="QUICPay" />QUICPay
						</td>
					</tr>
					<tr>
						<td></td>
						<td>
							<input type="checkbox" id="service_5" value="WAON" />WAON
						</td>
						<td>	
							<input type="checkbox" id="service_6" value="nanaco" />nanaco
						</td>
						<td>
							<input type="checkbox" id="service_7" value="Edy" />Edy
						</td>
					</tr>
					<tr>
						<td></td>
						<td>
							<input type="checkbox" id="service_8" value="iD" />iD
						</td>
						<td>
							<input type="checkbox" id="service_9" value="HousePoint" />HousePoint
						</td>
						<td>
							<input type="checkbox" id="service_10" value="HousePrepaid" />HousePrepaid
						</td>
					</tr>
					<tr>
						<td></td>
						<td>
							<input type="checkbox" id="service_11" value="TPoint" />TPoint
						</td>
						<td>
							<input type="checkbox" id="service_12" value="Device" />Device
						</td>
						<td>
							<input type="checkbox" id="service_13" value="QRPay" />QRPay
						</td>
					</tr>
					<tr>
						<td><label for="reqDeliveryDate" > 納品希望日 </label></td>
						<td><input type="text" id="reqDeliveryDate" class="input-date form-control" style="width: 200px; "/></td>
						<td><label for="cancelDate" > 解約年月日 </label></td>
						<td><input type="text" id="cancelDate" class="input-date form-control" style="width: 200px; "/></td>
					</tr>
					<tr>
						<td><label for="reqInstallDate" > 設置予定日 </label></td>
						<td><input type="text" id="reqInstallDate" class="input-date form-control" style="width: 200px; "/></td>
						<td><label for="reqStartDate" > 稼働予定日 </label></td>
						<td><input type="text" id="reqStartDate" class="input-date form-control" style="width: 200px; "/></td>
					</tr>
					<tr>
						<td><label for="startDate" > 稼働開始日 </label></td>
						<td><input type="text" id="startDate" class="input-date form-control" style="width: 200px; "/></td>
						<td><label for="message" > 連携コメント </label></td>
						<td><input type="text" id="message" class="input-text form-control" style="width: 200px; "/></td>
					</tr>
					<tr>
						<td></td>
						<td></td>
						<td></td>
						<td id="message-er" style="color: red; "></td>
					</tr>
				</table>
				<button id="btn-back" class="btn btn-primary" > 戻る </button> <button id="btn-verify" type="button" class="btn btn-primary" > 確認する </button>
			</form>
		</div>
		
	</div>

</body>

<!-- ---------------------------------- -->
<!-- 			MY SCRIPT			    -->
<!-- ---------------------------------- -->
<script th:inline="javascript">
	
	$('.input-date').datepicker({
		dateFormat: "yy-mm-dd"
	});
	
	$(document).ready(function () {
		$('#btn-back').on('click', function (e) {
			location.href = "/terminal/view";
			e.preventDefault();
		});
		
		$('#btn-verify').on('click', function (e) {			
			var inputChecks = $('input:checked');
			var services = '';
			
			for (var i = 0; i < inputChecks.length; i++) {
				services += inputChecks[i].value + '|';
			}
			services = services.substring(0, services.length - 1);
			
			var data = {
				'clientCode': $("#clientCode").val(),
				'shopId': $("#shopId").val(),
				'sId': $("#sId").val(),
				'mtid': $("#mtid").val(),
				'creditTid': $("#creditTid").val(),
				'terminalModel': $("#terminalModel").val(),
				'posModel': $("#posModel").val(),
				'posConnType': $("#posConnType").val(),
				'msrSupport': $("#msrSupport").val(),
				'confirmAmountFlag': $("#confirmAmountFlag").val(),
				'services': services, 
				'reqDeliveryDate': $("#reqDeliveryDate").val(),
				'cancelDate': $("#cancelDate").val(),
				'reqInstallDate': $("#reqInstallDate").val(),
				'reqStartDate': $("#reqStartDate").val(),
				'startDate': $("#startDate").val(),
				'message': $("#message").val()
			};
				
			$.ajax({
				url: window.location.origin + '/terminal/verify',
				type: 'post',
				contentType: 'application/json',
				dataType: 'json',
				data: JSON.stringify(data),
				success: function (data) {
					console.log("/terminal/view-add-verify");
					location.href = "/terminal/view-add-verify";
				}, 
				error: function (response) {
					$('#clientCode-er').html('');
					$('#shopId-er').html('');
					$('#mtid-er').html('');
					$('#terminalModel-er').html('');
					$('#creditTid-er').html('');
					$('#posModel-er').html('');
					$('#message-er').html('');
					$('#sId-er').html('');
					
					var data = response.responseText;		
					console.log(data);
					msgs = data.split(',');
					
					for (var i = 0; i < msgs.length; i++) {
						var msg = msgs[i];
						
						if (msg.indexOf('clientCode') >= 0 || msg.includes('clientCode')) {
							var msg2 = msg.replace('clientCode:', '');
							$('#clientCode-er').html(msg2);
						} else if (msg.indexOf('shopId') >= 0 || msg.includes('shopId')) {
							var msg2 = msg.replace('shopId:', '');
							$('#shopId-er').html(msg2);
						} else if (msg.indexOf('mtid') >= 0 || msg.includes('mtid')) {
							var msg2 = msg.replace('mtid:', '');
							$('#mtid-er').html(msg2);
						} else if (msg.indexOf('terminalModel') >= 0 || msg.includes('terminalModel')) {
							var msg2 = msg.replace('terminalModel:', '');
							$('#terminalModel-er').html(msg2);
						} else if (msg.indexOf('creditTid') >= 0 || msg.includes('creditTid')) {
							var msg2 = msg.replace('creditTid:', '');
							$('#creditTid-er').html(msg2);
						} else if (msg.indexOf('posModel') >= 0 || msg.includes('posModel')) {
							var msg2 = msg.replace('posModel:', '');
							$('#posModel-er').html(msg2);
						} else if (msg.indexOf('message') >= 0 || msg.includes('message')) {
							var msg2 = msg.replace('message:', '');
							$('#message-er').html(msg2);
						} else if (msg.indexOf('sId') >= 0 || msg.includes('sId')) {
							var msg2 = msg.replace('sId:', '');
							$('#sId-er').html(msg2);
						}  
					}
				}
			});
			
			/*e.preventDefault();*/
		});
	});
</script>

<script th:inline="javascript">
	var terminal = [[${terminalObject}]];
	
	if (terminal != null) {
		
		[# th:if="${reqDeliveryDate != null}"]
			var reqDeliveryDate = [[${reqDeliveryDate.getYear()}]]
										+  '-' + ('0' + [[${reqDeliveryDate.getMonthValue()}]]).slice(-2)
										+ '-' + ('0' + [[${reqDeliveryDate.getDayOfMonth()}]]).slice(-2);
			$("#reqDeliveryDate").val(reqDeliveryDate);
		[/]
		
		[# th:if="${cancelDate != null}"]
			var cancelDate = [[${cancelDate.getYear()}]]
							+  '-' + ('0' + [[${cancelDate.getMonthValue()}]]).slice(-2)
							+ '-' + ('0' + [[${cancelDate.getDayOfMonth()}]]).slice(-2);
			$("#cancelDate").val(cancelDate);
		[/]
		
		[# th:if="${reqInstallDate != null}"]
			var reqInstallDate = [[${reqInstallDate.getYear()}]]
								+  '-' + ('0' + [[${reqInstallDate.getMonthValue()}]]).slice(-2)
								+ '-' + ('0' + [[${reqInstallDate.getDayOfMonth()}]]).slice(-2);
			$("#reqInstallDate").val(reqInstallDate);
		[/]
		
		[# th:if="${reqStartDate != null}"]
			var reqStartDate = [[${reqStartDate.getYear()}]]
								+  '-' + ('0' + [[${reqStartDate.getMonthValue()}]]).slice(-2)
								+ '-' + ('0' + [[${reqStartDate.getDayOfMonth()}]]).slice(-2);
			$("#reqStartDate").val(reqStartDate);
		[/]
		
		[# th:if="${startDate != null}"]
			var startDate = [[${startDate.getYear()}]]
							+  '-' + ('0' + [[${startDate.getMonthValue()}]]).slice(-2)
							+ '-' + ('0' + [[${startDate.getDayOfMonth()}]]).slice(-2);
			$("#startDate").val(startDate);
		[/]
		
		var services = terminal.services;
		
		$("#clientCode").val(terminal.clientCode);
		$("#shopId").val(terminal.shopId);
		$("#sId").val(terminal.sId);
		$("#mtid").val(terminal.mtid);
		$("#creditTid").val(terminal.creditTid);
		$("#terminalModel").val(terminal.terminalModel); 
		$("#posModel").val(terminal.posModel);
		$("#posConnType").val(terminal.posConnType);
		$("#msrSupport").val(terminal.msrSupport); 
		$("#confirmAmountFlag").val(terminal.confirmAmountFlag); 
		
		var listInput = $('input');
		for (var i = 0; i < listInput.length; i++) {
		   if (services.includes(listInput[i].value)) { 
			   console.log(i);
		       $('input:eq('+ i + ')').prop('checked', true);
		   }
		}
		
		$("#message").val(terminal.message);
	}
</script>

<!-- ---------------------------------- -->
<!-- 			   MY CSS      	        -->
<!-- ---------------------------------- -->
<style type="text/css">
	.input-text {
		width: 80%;
	}
</style>
</html>